Pumpkin, Inc.

Pumpkin User Forums

Problems with Salvo Demo and MPLAB IDE v5.50

If you're having difficulty installing Salvo, post it here.

Problems with Salvo Demo and MPLAB IDE v5.50

Postby Unregistered User » Sun Jan 06, 2002 9:11 am

Hello.

I can't get the projects that are in the Salvo Lite demo on the MPLAB 5.50 CD-ROM to work ...

Can you please help?

Unregistered User
 
Posts: 36
Joined: Thu Aug 09, 2001 11:00 pm

Re: Problems with Salvo Demo and MPLAB IDE v5.50

Postby aek » Sun Jan 06, 2002 9:19 am

The MPLAB projects in Salvo Lite v2.2 (the demo that's on the MPLAB IDE v5.50 CD-ROM from Microchip) are compatible with MPLAB versions up to v5.30.

HI-TECH (the makers of the PICC and PICC-18 compilers) and Microchip got together and finally resolved some longstanding problems having to do with MPLAB projects and the PICC compilers. Unfortunately, that has resulted in some incompatibilities.

To get the Salvo Lite (and Salvo) v2.2 projects to work with MPLAB v5.40 and later, you'll need to get the "Updated Microchip MPLAB Project Files", and the included TOOLFIX utility, from HI-TECH Software.

For each project that you wish to run under MPLAB v5.40 and later, you'll need to apply the TOOLFIX utility to it.

The next release of Salvo will use the "new" MPLAB project format. Until then, use the fix supplied by HI-TECH.

------------------

-------
aek
aek
 
Posts: 1888
Joined: Sat Aug 26, 2000 11:00 pm


Return to Installation

Who is online

Users browsing this forum: No registered users and 1 guest

cron